Page MenuHomeFreeBSD

lang/rust: Update to 1.57.0
ClosedPublic

Authored by tobik on Nov 30 2021, 3:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 6, 10:52 AM
Unknown Object (File)
Thu, May 4, 7:44 AM
Unknown Object (File)
May 2 2023, 6:33 AM
Unknown Object (File)
Apr 3 2023, 4:24 PM
Unknown Object (File)
Feb 25 2023, 2:22 AM
Unknown Object (File)
Feb 16 2023, 12:01 PM
Unknown Object (File)
Feb 14 2023, 2:15 AM
Unknown Object (File)
Feb 14 2023, 2:14 AM

Details

Summary
Test Plan

Poudriere 13.0 amd64 ok
Poudriere 13.0 powerpc ok
Poudriere 13.0 powerpc64 ok
Poudriere 13.0 powerpc64le ok
Poudriere 12.2 i386 ok

ref13-aarch64 ok
ref12-ppc64 ok

Exp-run: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=260140

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tobik held this revision as a draft.
tobik published this revision for review.Nov 30 2021, 3:21 PM
tobik edited the test plan for this revision. (Show Details)

To avoid regressing D32654 maybe also apply files/patch-vendor_cc_src_lib.rs to the versioned vendor/cc-1.0.69/src/lib.rs.

  • lang/rust: Apply cc crate patch to additional cc-1.0.69 crate too
In D33190#750726, @evgeniy_khramtsov.org wrote:

To avoid regressing D32654 maybe also apply files/patch-vendor_cc_src_lib.rs to the versioned vendor/cc-1.0.69/src/lib.rs.

Ok, sure. Maybe fix devel/llvm13 too by backporting https://reviews.llvm.org/D77776.

@mikael Should we disable the backtrace libunwind backend for armv* like in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259799#c40 or do we leave it on?

@mikael Should we disable the backtrace libunwind backend for armv* like in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259799#c40 or do we leave it on?

Disable the backtrace libunwind backend please.

pkubaj edited the test plan for this revision. (Show Details)
pkubaj edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Dec 5 2021, 12:36 PM
This revision was automatically updated to reflect the committed changes.